<div class="row mx-2">
	<div class="col">
		<div class="row panel-header">
			<h4>{{ panelName }}</h4>
		</div>
		<div class="row panel-body">
			<div class="col">
				<div class="row top-section">
					<div class="col-9">
						<div class="row ml-auto">
							<div
								class="date-range"
								[ngClass]="{active: activeRange === 'today'}"
								(click)="activeRange = 'today'"
							>
								Today
							</div>
							<div
								class="date-range"
								[ngClass]="{active: activeRange === '7d'}"
								(click)="activeRange = '7d'"
							>
								Last 7 days
							</div>
							<div
								class="date-range"
								[ngClass]="{active: activeRange === '30d'}"
								(click)="activeRange = '30d'"
							>
								Last 30 days
							</div>
							<div
								class="date-range"
								[ngClass]="{active: activeRange === '90d'}"
								(click)="activeRange = '90d'"
							>
								Last 90 days
							</div>
							<div
								class="date-range"
								[ngClass]="{active: activeRange === 'custom'}"
								(click)="activeRange = 'custom'"
							>
								Custom
							</div>
						</div>
					</div>

					<div class="col-3">
						<div class="row chart-controls ml-auto">
							<div
								class="dropdown"
								ngbDropdown
							>
								<div
									class="dropdown-toggle border-box"
									ngbDropdownToggle
								>{{ currentCurrency }}</div>
								<ul
									class="dropdown-menu"
									ngbDropdownMenu
								>
									<li
										class="dropdown-item"
										ngbDropdownItem
										(click)="currentCurrency = 'KES'"
									><a>KES</a></li>
									<li
										class="dropdown-item"
										ngbDropdownItem
										(click)="currentCurrency = 'ZAR'"
									><a>ZAR</a></li>
								</ul>
							</div>
							<div
								class="dropdown"
								ngbDropdown
								*ngIf="useMetrics"
							>
								<div
									class="dropdown-toggle border-box"
									ngbDropdownToggle
								>{{ currentMetric }}</div>
								<ul
									class="dropdown-menu"
									ngbDropdownMenu
								>
									<li
										class="dropdown-item"
										ngbDropdownItem
										(click)="currentMetric = 'Total volume'"
									><a>Total volume</a></li>
									<li
										class="dropdown-item"
										ngbDropdownItem
										(click)="currentMetric = 'Total weight'"
									><a>Total weight</a></li>
								</ul>
							</div>
							<div class="border-box">
								<fa-icon [icon]="download"></fa-icon>
							</div>
						</div>
					</div>
				</div>
				<div class="row middle-section">
					<div class="col">
						<div class="row chart-header">
							<div class="col-6 left-side">
								{{ currentCurrency }}&nbsp; {{ balance | number:'1.2-2' }} <span class="metric">{{ currentMetric }}</span>
							</div>
							<div class="col-6 d-flex justify-content-end right-side">
								<div class="date-block">
									JUN 2 &nbsp;<fa-icon
										class="arrow"
										[icon]="arrowRight"
									></fa-icon>&nbsp; JUL 1 2018
								</div>
							</div>
						</div>
						<div class="row chart-body">
							<div class="col">
								<canvas
									baseChart
									height="200"
									[datasets]="chartData"
									[labels]="chartLabels"
									[options]="barChartOptions"
									[legend]="chartLegend"
									[chartType]="chartType"
								>
								</canvas>
							</div>
						</div>

					</div>
				</div>
				<div class="row bottom-section">
					<div class="col-3">
						<p class="section-title">{{ bottomSectionLeftTitle }}</p>
						<p class="section-data"><span *ngIf="panelName == 'Settlement'">{{ currentCurrency }}&nbsp;</span>{{ bottomsectionLeftData | number:'1.0-2' }}</p>
					</div>
					<div class="col">
						<p class="section-title">{{ bottomSectionRightTitle }}</p>
						<p class="section-data">{{ currentCurrency }}&nbsp; {{ bottomSectionRightData | number:'1.2-2' }}</p>
					</div>
				</div>
				<div class="row footer">
					<div class="col-6 left-side">
						<span> Last updated: {{ updateDate | amTimeAgo }}</span>
					</div>
					<div class="col-6 d-flex justify-content-end right-side">
						<a>See all transaction &nbsp;<fa-icon
								class="arrow"
								[icon]="arrowRight"
							></fa-icon></a>
					</div>
				</div>
			</div>
		</div>
	</div>
</div>